package calc.client;

import calc.CalcRemoteInterface;
import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;


public class CalcClient {
    
    private static final int REGISTRY_PORT=1099;
    private static final String REGISTRY_HOST="127.0.0.1";

    
    public static void main(String[] args) { 
        
        String calcRmiURL="//"+REGISTRY_HOST+":"+Integer.toString(REGISTRY_PORT)+"/Calculator";
        try {
            
            CalcRemoteInterface c = (CalcRemoteInterface) Naming.lookup(calcRmiURL); 
            while(true){
                int x= new java.util.Random().nextInt(10);
                int y= new java.util.Random().nextInt(9)+1;
                int choice= new java.util.Random().nextInt(4);
                switch(choice){
                    case 0:
                        System.out.println(x+" minus "+y+" equals "+ c.sub(x, y) +"\n");
                        break;
                    case 1:
                        System.out.println(x+" plus "+y+" equals "+ c.add(x, y) +"\n");
                        break;
                    case 2:
                        System.out.println(x+" times "+y+" equals "+ c.mul(x, y) +"\n");
                        break;
                    case 3:
                        System.out.println(x+" divided by "+y+" equals "+ c.div(x, y) +"\n");
                        break;
                }
            
            try{
                Thread.sleep(2000);
            } catch(InterruptedException e) {
                
            }
            }
        } catch (MalformedURLException murle) {
            System.out.println();
            System.out.println("MalformedURLException"); 
            System.out.println(murle);
        } catch (RemoteException re) {
            System.out.println();
            System.out.println("RemoteException"); 
            System.out.println(re);
        } catch (NotBoundException nbe) {
            System.out.println();
            System.out.println("NotBoundException"); 
            System.out.println(nbe);
        }

    }
}
